package com.zm.order.tool.server.stream.enums;

import com.zm.order.enums.OrderType;
import com.zm.order.tool.server.enums.BizTypeEnum;
import com.zm.order.tool.server.stream.convert.OrderStreamConverter;

/**
 * 订单类型新老枚举值映射
 *
 * <p>
 *      门店订单判断场景较为复杂，实现逻辑由多个场景判断，在逻辑层实现，此处只做基本映射
 *
 *      门店订单映射逻辑：{@link OrderStreamConverter}
 * </p>
 *
 * @author nianchang
 * @date 2023/03/10 2:04 下午
 */
public enum OrderTypeMapping {

    /**
     * 烘焙买单订单
     */
    BAKERY_OFFLINE(BizTypeEnum.BAKING.getType(), 2, OrderType.OFFLINE.getType()),

    ;

    /**
     * 业务类型
     *
     * {@link BizTypeEnum}
     */
    private Integer bizType;

    /**
     * 旧枚举值
     */
    private Integer oldCode;

    /**
     * 新枚举值
     */
    private Integer newCode;

    public Integer getBizType() {
        return bizType;
    }

    public Integer getOldCode() {
        return oldCode;
    }

    public Integer getNewCode() {
        return newCode;
    }

    OrderTypeMapping(Integer bizType, Integer oldCode, Integer newCode) {
        this.bizType = bizType;
        this.oldCode = oldCode;
        this.newCode = newCode;
    }
}
